Bug 1304439 - wine-1.9.2 dies on execution of WISOSteuerSparbuch2016Update231316.exe
wine-1.9.2 dies on execution of WISOSteuerSparbuch2016Update231316.exe
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
23
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-03 10:54 EST by Joachim Backes
Modified: 2016-02-21 11:31 EST (History)
4 users (show)

See Also:
Fixed In Version: wine-1.9.3-1.fc22 wine-1.9.3-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-20 21:26:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Wine HQ 40084 None None None 2016-02-03 11:19 EST

  None (edit)
Description Joachim Backes 2016-02-03 10:54:04 EST
Description of problem:

Trying to run the most recent update for my tax program "WisoSparbuch" (WISOSteuerSparbuch2016Update231316.exe). But this update lets wine crash: 
--------------------------------------------------------------------------------
Unhandled exception: unimplemented function shcore.dll.GetDpiForMonitor called in 32-bit code (0x7b83e46e).
Register dump:
 CS:0023 SS:002b DS:002b ES:002b FS:0063 GS:006b
 EIP:7b83e46e ESP:0033d3d4 EBP:0033d458 EFLAGS:00200202(   - --  I   - - - )
 EAX:7b8283d1 EBX:7b8ca000 ECX:00000000 EDX:0033d400
 ESI:0033d48c EDI:0033d408
Stack dump:
0x0033d3d4:  00000f3c 7d676110 7d6763d0 00c0bcac
0x0033d3e4:  7d676284 7d670000 80000100 00000001
0x0033d3f4:  00000000 7b83e46e 00000002 7d673e2c
0x0033d404:  7d673eb4 00000001 ffffffff 00000001
0x0033d414:  00000000 00000001 d27fed00 0033d440
0x0033d424:  00000000 0033d450 7ea62000 0033d47c
Backtrace:
=>0 0x7b83e46e in kernel32 (+0x2e46e) (0x0033d458)
  1 0x7d673e10 in shcore (+0x3e0f) (0x0033d498)
  2 0x7d673901 in shcore (+0x3900) (0x0033d580)
  3 0x00b82c50 in isrt (+0x42c4f) (0x0033d580)
  4 0x00bc69e9 in isrt (+0x869e8) (0x0033d594)
  5 0x00bc6b03 in isrt (+0x86b02) (0x0033d5a8)
  6 0x00bc5d72 in isrt (+0x85d71) (0x0033d75c)
  7 0x00b82807 in isrt (+0x42806) (0x0033d968)
  8 0x7ea22ffa WINPROC_wrapper+0x19() in user32 (0x0033d998)
  9 0x7ea238a8 in user32 (+0xa38a7) (0x0033d9f8)
  10 0x7ea26624 in user32 (+0xa6623) (0x0033da48)
  11 0x7e9a6149 DefDlgProcW+0x98() in user32 (0x0033da98)
  12 0x7ea22ffa WINPROC_wrapper+0x19() in user32 (0x0033dad8)
  13 0x7ea23757 in user32 (+0xa3756) (0x0033db28)
  14 0x7ea26108 in user32 (+0xa6107) (0x0033db78)
  15 0x7e9e0287 in user32 (+0x60286) (0x0033dbe8)
  16 0x7e9e7aa5 in user32 (+0x67aa4) (0x0033dc58)
  17 0x7e9e7d74 SendMessageW+0x63() in user32 (0x0033dca8)
  18 0x7e9ac13a in user32 (+0x2c139) (0x0033dfe8)
  19 0x7e9ad55b CreateDialogIndirectParamAorW+0x3a() in user32 (0x0033e008)
  20 0x7e9ad6ae CreateDialogIndirectParamW+0x4d() in user32 (0x0033e048)
  21 0x00b84f64 in isrt (+0x44f63) (0x0033e098)
  22 0x00b81407 in isrt (+0x41406) (0x0033e0e8)
  23 0x00b840c6 in isrt (+0x440c5) (0x0033e1d0)
  24 0x00b849a4 in isrt (+0x449a3) (0x0033e1d8)
  25 0x1008bd12 in issetup (+0x8bd11) (0x0033e284)
  26 0x1008ca10 in issetup (+0x8ca0f) (0x0033e62c)
  27 0x10098139 in issetup (+0x98138) (0x0033e6c8)
  28 0x10098d1e in issetup (+0x98d1d) (0x0033e798)
  29 0x100908b7 in issetup (+0x908b6) (0x0033e800)
  30 0x1004f207 in issetup (+0x4f206) (0x0033e8f0)
  31 0x10067ddc in issetup (+0x67ddb) (0x0033e968)
  32 0x00b572bb in isrt (+0x172ba) (0x0033e980)
  33 0x1008bd12 in issetup (+0x8bd11) (0x0033ea2c)
  34 0x1008ca10 in issetup (+0x8ca0f) (0x0033edd4)
  35 0x10098139 in issetup (+0x98138) (0x0033ee70)
  36 0x10098d1e in issetup (+0x98d1d) (0x0033ef40)
  37 0x100908b7 in issetup (+0x908b6) (0x0033efa8)
  38 0x1004f207 in issetup (+0x4f206) (0x0033f098)
  39 0x10042000 in issetup (+0x41fff) (0x0033f278)
  40 0x004214a8 in wisosteuersparbuch2016update2313Z:\home\backes\Desktop\DL\WISOSteuerSparbuch2016Update231316.exe (+0x214a7) (0x0033f324)
  41 0x0041bed4 in wisosteuersparbuch2016update2313Z:\home\backes\Desktop\DL\WISOSteuerSparbuch2016Update231316.exe (+0x1bed3) (0x0033f3dc)
  42 0x00420dc6 in wisosteuersparbuch2016update2313Z:\home\backes\Desktop\DL\WISOSteuerSparbuch2016Update231316.exe (+0x20dc5) (0x0033f8e8)
  43 0x00425765 in wisosteuersparbuch2016update2313Z:\home\backes\Desktop\DL\WISOSteuerSparbuch2016Update231316.exe (+0x25764) (0x0033fdd4)
  44 0x0045e0ef in wisosteuersparbuch2016update2313Z:\home\backes\Desktop\DL\WISOSteuerSparbuch2016Update231316.exe (+0x5e0ee) (0x0033fe20)
  45 0x7b867d0c call_process_entry+0xb() in kernel32 (0x0033fe38)
  46 0x7b8694c2 in kernel32 (+0x594c1) (0x0033fe88)
  47 0x7bc91150 call_thread_func_wrapper+0xb() in ntdll (0x0033fea8)
  48 0x7bc94695 call_thread_func+0x114() in ntdll (0x0033ffa8)
  49 0x7bc9112e RtlRaiseException+0x21() in ntdll (0x0033ffc8)
  50 0x7bc5f641 in ntdll (+0x3f640) (0x0033ffe8)
  51 0xf75da8dd wine_call_on_stack+0x1c() in libwine.so.1 (0x00000000)
  52 0xf75daa1c wine_switch_to_stack+0x2b() in libwine.so.1 (0xffe28ef8)
  53 0x7bc64386 LdrInitializeThunk+0x285() in ntdll (0xffe28f58)
  54 0x7b870b37 __wine_kernel_init+0xa56() in kernel32 (0xffe2a0e8)
  55 0x7bc65573 __wine_process_init+0x1a2() in ntdll (0xffe2a168)
  56 0xf75d7f2e wine_init+0x2dd() in libwine.so.1 (0xffe2a1d8)
  57 0x7bf00eff main+0x8e() in <wine-loader> (0xffe2a638)
  58 0xf73fb545 __libc_start_main+0xf4() in libc.so.6 (0x00000000)
0x7b83e46e: subl	$4,%esp
Modules:
Module	Address			Debug info	Name (127 modules)
PE	  390000-  393000	Deferred        _isuser_0x0407
PE	  400000-  541000	Export          wisosteuersparbuch2016update2313Z:\home\backes\Desktop\DL\WISOSteuerSparbuch2016Update231316.exe
PE	  b40000-  c51000	Export          isrt
PE	 1060000- 11cc000	Deferred        _isres_0x0407
PE	10000000-1025a000	Export          issetup
PE	48000000-4806c000	Deferred        riched20
PE	76c00000-76c74000	Deferred        wininet
ELF	7b800000-7ba74000	Dwarf           kernel32<elf>
  \-PE	7b810000-7ba74000	\               kernel32
ELF	7bc00000-7bd05000	Dwarf           ntdll<elf>
  \-PE	7bc20000-7bd05000	\               ntdll
ELF	7bf00000-7bf04000	Dwarf           <wine-loader>
ELF	7cc39000-7cc3f000	Deferred        libattr.so.1
ELF	7cc3f000-7cc5b000	Deferred        libelf.so.1
ELF	7cc5b000-7cc79000	Deferred        libgcc_s.so.1
ELF	7cc79000-7cccc000	Deferred        libdw.so.1
ELF	7cccc000-7cce2000	Deferred        libgpg-error.so.0
ELF	7cce2000-7cd90000	Deferred        libgcrypt.so.20
ELF	7cd90000-7cdbb000	Deferred        liblzma.so.5
ELF	7cdbb000-7cdc4000	Deferred        librt.so.1
ELF	7cdc4000-7ce38000	Deferred        libpcre.so.1
ELF	7ce38000-7cec3000	Deferred        libsystemd.so.0
ELF	7cec3000-7cecb000	Deferred        libffi.so.6
ELF	7cecb000-7ceee000	Deferred        libselinux.so.1
ELF	7ceee000-7cf56000	Deferred        libfreebl3.so
ELF	7cf56000-7cfa9000	Deferred        libdbus-1.so.3
ELF	7cfa9000-7d01a000	Deferred        libgmp.so.10
ELF	7d01a000-7d046000	Deferred        libhogweed.so.4
ELF	7d046000-7d086000	Deferred        libnettle.so.6
ELF	7d086000-7d09a000	Deferred        libtasn1.so.6
ELF	7d09a000-7d0ce000	Deferred        libidn.so.11
ELF	7d0ce000-7d129000	Deferred        libp11-kit.so.0
ELF	7d129000-7d144000	Deferred        libresolv.so.2
ELF	7d144000-7d153000	Deferred        libkrb5support.so.0
ELF	7d153000-7d182000	Deferred        libcrypt.so.1
ELF	7d182000-7d194000	Deferred        libavahi-client.so.3
ELF	7d194000-7d1a2000	Deferred        libavahi-common.so.3
ELF	7d1a2000-7d2e0000	Deferred        libgnutls.so.30
ELF	7d2e0000-7d313000	Deferred        libk5crypto.so.3
ELF	7d313000-7d3ea000	Deferred        libkrb5.so.3
ELF	7d3ea000-7d438000	Deferred        libgssapi_krb5.so.2
ELF	7d438000-7d4b8000	Deferred        libcups.so.2
ELF	7d4d0000-7d4e4000	Deferred        riched32<elf>
  \-PE	7d4e0000-7d4e4000	\               riched32
ELF	7d4e4000-7d5d7000	Deferred        comdlg32<elf>
  \-PE	7d4f0000-7d5d7000	\               comdlg32
ELF	7d5d7000-7d61c000	Deferred        winspool<elf>
  \-PE	7d5e0000-7d61c000	\               winspool
ELF	7d61c000-7d662000	Deferred        usp10<elf>
  \-PE	7d620000-7d662000	\               usp10
ELF	7d662000-7d678000	Dwarf           shcore<elf>
  \-PE	7d670000-7d678000	\               shcore
ELF	7d678000-7d692000	Deferred        apphelp<elf>
  \-PE	7d680000-7d692000	\               apphelp
ELF	7d7f5000-7d809000	Deferred        psapi<elf>
  \-PE	7d800000-7d809000	\               psapi
ELF	7d809000-7d8c6000	Deferred        winmm<elf>
  \-PE	7d810000-7d8c6000	\               winmm
ELF	7d8e8000-7d921000	Deferred        uxtheme<elf>
  \-PE	7d8f0000-7d921000	\               uxtheme
ELF	7d921000-7d927000	Deferred        libxfixes.so.3
ELF	7d927000-7d933000	Deferred        libxcursor.so.1
ELF	7d933000-7d939000	Deferred        libcap.so.2
ELF	7d939000-7d93e000	Deferred        libkeyutils.so.1
ELF	7d93e000-7d943000	Deferred        libcom_err.so.2
ELF	7d9d7000-7d9ff000	Deferred        libexpat.so.1
ELF	7d9ff000-7da42000	Deferred        libfontconfig.so.1
ELF	7da42000-7da79000	Deferred        libpng16.so.16
ELF	7da79000-7da8c000	Deferred        libbz2.so.1
ELF	7da8c000-7db34000	Deferred        libfreetype.so.6
ELF	7db34000-7db46000	Deferred        libxi.so.6
ELF	7db46000-7db52000	Deferred        libxrandr.so.2
ELF	7db52000-7db78000	Deferred        libxcb.so.1
ELF	7db78000-7dcb9000	Deferred        libx11.so.6
ELF	7dcb9000-7dccd000	Deferred        libxext.so.6
ELF	7dcf9000-7dd94000	Deferred        winex11<elf>
  \-PE	7dd00000-7dd94000	\               winex11
ELF	7dd94000-7ddb7000	Deferred        libtinfo.so.5
ELF	7ddb7000-7dddd000	Deferred        libncurses.so.5
ELF	7dddd000-7de72000	Deferred        gdiplus<elf>
  \-PE	7ddf0000-7de72000	\               gdiplus
ELF	7de72000-7df4c000	Deferred        crypt32<elf>
  \-PE	7de80000-7df4c000	\               crypt32
ELF	7df4c000-7df65000	Deferred        libz.so.1
ELF	7df6b000-7df91000	Deferred        imm32<elf>
  \-PE	7df70000-7df91000	\               imm32
ELF	7df91000-7dfb2000	Deferred        cabinet<elf>
  \-PE	7dfa0000-7dfb2000	\               cabinet
ELF	7dfb2000-7e031000	Deferred        shlwapi<elf>
  \-PE	7dfc0000-7e031000	\               shlwapi
ELF	7e031000-7e2e2000	Deferred        shell32<elf>
  \-PE	7e040000-7e2e2000	\               shell32
ELF	7e2e2000-7e423000	Deferred        oleaut32<elf>
  \-PE	7e300000-7e423000	\               oleaut32
ELF	7e423000-7e4aa000	Deferred        rpcrt4<elf>
  \-PE	7e430000-7e4aa000	\               rpcrt4
ELF	7e4aa000-7e5f9000	Deferred        ole32<elf>
  \-PE	7e4c0000-7e5f9000	\               ole32
ELF	7e5f9000-7e6a2000	Deferred        urlmon<elf>
  \-PE	7e600000-7e6a2000	\               urlmon
ELF	7e6a2000-7e7ac000	Deferred        msi<elf>
  \-PE	7e6b0000-7e7ac000	\               msi
ELF	7e7ac000-7e7c0000	Deferred        lz32<elf>
  \-PE	7e7b0000-7e7c0000	\               lz32
ELF	7e7c0000-7e83c000	Deferred        advapi32<elf>
  \-PE	7e7d0000-7e83c000	\               advapi32
ELF	7e83c000-7e965000	Deferred        gdi32<elf>
  \-PE	7e850000-7e965000	\               gdi32
ELF	7e965000-7eae2000	Dwarf           user32<elf>
  \-PE	7e980000-7eae2000	\               user32
ELF	7eae2000-7ebf3000	Deferred        comctl32<elf>
  \-PE	7eaf0000-7ebf3000	\               comctl32
ELF	7ef73000-7ef86000	Deferred        libnss_files.so.2
ELF	7ef86000-7efd4000	Deferred        libm.so.6
ELF	7efd9000-7efe5000	Deferred        libxrender.so.1
ELF	7efe5000-7f000000	Deferred        version<elf>
  \-PE	7eff0000-7f000000	\               version
ELF	f73d1000-f73d5000	Deferred        libxcomposite.so.1
ELF	f73d5000-f73dc000	Deferred        libxxf86vm.so.1
ELF	f73de000-f73e3000	Deferred        libdl.so.2
ELF	f73e3000-f75b0000	Dwarf           libc.so.6
ELF	f75b0000-f75cd000	Deferred        libpthread.so.0
ELF	f75cd000-f7797000	Dwarf           libwine.so.1
ELF	f7798000-f779c000	Deferred        libxinerama.so.1
ELF	f779c000-f77a0000	Deferred        libxau.so.6
ELF	f77c4000-f77e7000	Deferred        ld-linux.so.2
ELF	f77e9000-f77ea000	Deferred        [vdso].so
Threads:
process  tid      prio (all id:s are in hex)
00000008 (D) Z:\home\backes\Desktop\DL\WISOSteuerSparbuch2016Update231316.exe
	0000002f    0
	0000002e    0
	0000002d    0
	0000002c    0
	00000009    0 <==
0000000e services.exe
	00000026    0
	00000025    0
	00000016    0
	00000010    0
	0000000f    0
00000012 winedevice.exe
	0000001e    0
	0000001b    0
	0000001a    0
	00000013    0
00000014 explorer.exe
	0000002b    0
	0000002a    0
	00000029    0
	00000015    0
00000023 plugplay.exe
	00000028    0
	00000027    0
	00000024    0
System information:
    Wine build: wine-1.9.2 (Staging)
    Platform: i386
    Version: Windows XP
    Host system: Linux
    Host version: 4.3.5-300.fc23.x86_64
---------------------------------------------------------------
If searching in Wine-Bugzilla I found bug# 40046:

https://bugs.winehq.org/show_bug.cgi?id=40046

including a patch for this situation!

Version-Release number of selected component (if applicable):

wine-1.9.2-1.fc23.x86_64
How reproducible:

alwys
Steps to Reproduce:
1.run "wine WISOSteuerSparbuch2016Update231316.exe"
2.
3.

Actual results:
wine crashes

Expected results:


Additional info:
Comment 1 Joachim Backes 2016-02-03 11:03:38 EST
If I compile wine from the source package wine-1.9.2.tar.bz2 (downloaded from winehq.org), then I don't see the crash! So I guess something is missing in wine-1.9.2-1.fc23.x86_64.
Comment 2 Michael Cronenworth 2016-02-03 11:05:55 EST
I don't see how the Wine bug 40046 relates to this issue. The Wine bug is for a Direct3D issue (a video game) and the patch does not completely fix it.

Please create a bug in the Wine Bugzilla and link the bug ID here. State that you are using 1.9.2 (staging).
Comment 3 Joachim Backes 2016-02-03 11:09:19 EST
(In reply to Michael Cronenworth from comment #2)
> I don't see how the Wine bug 40046 relates to this issue. The Wine bug is
> for a Direct3D issue (a video game) and the patch does not completely fix it.
> 
> Please create a bug in the Wine Bugzilla and link the bug ID here. State
> that you are using 1.9.2 (staging).

How should I create a winehq-bug if the self compiled wine (from the wine sources)  does not show this effect?
Comment 4 Michael Cronenworth 2016-02-03 11:10:46 EST
Wine has two upstreams that are both supported on the Wine Bugzilla.

Wine - from the wine sources
Wine (staging) - a patch set applied on top of wine sources

There must be a patch in Wine Staging that is causing this. Please report this information there.
Comment 5 Joachim Backes 2016-02-03 11:18:41 EST
(In reply to Michael Cronenworth from comment #4)
> Wine has two upstreams that are both supported on the Wine Bugzilla.
> 
> Wine - from the wine sources
> Wine (staging) - a patch set applied on top of wine sources
> 
> There must be a patch in Wine Staging that is causing this. Please report
> this information there.

https://bugs.winehq.org/show_bug.cgi?id=40084
Comment 6 Fedora Update System 2016-02-11 19:22:30 EST
mingw-wine-gecko-2.44-1.fc23 wine-1.9.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5e77e105db
Comment 7 Fedora Update System 2016-02-11 19:24:19 EST
mingw-wine-gecko-2.44-1.fc22 wine-1.9.3-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7d80352684
Comment 8 Fedora Update System 2016-02-11 19:24:21 EST
mingw-wine-gecko-2.44-1.fc22 wine-1.9.3-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7d80352684
Comment 9 Fedora Update System 2016-02-12 08:51:49 EST
mingw-wine-gecko-2.44-1.fc22, wine-1.9.3-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7d80352684
Comment 10 Fedora Update System 2016-02-14 11:24:08 EST
mingw-wine-gecko-2.44-1.fc23, wine-1.9.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5e77e105db
Comment 11 Joachim Backes 2016-02-15 03:13:10 EST
(In reply to Fedora Update System from comment #6)
> mingw-wine-gecko-2.44-1.fc23 wine-1.9.3-1.fc23 has been submitted as an
> update to Fedora 23.
> https://bodhi.fedoraproject.org/updates/FEDORA-2016-5e77e105db

Runs for me and solves this BZ.
Comment 12 Fedora Update System 2016-02-20 21:26:15 EST
mingw-wine-gecko-2.44-1.fc22, wine-1.9.3-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2016-02-21 11:31:24 EST
mingw-wine-gecko-2.44-1.fc23, wine-1.9.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.